Skip to main content
GET
/
v1
/
org
/
{org_id}
/
commitment-plans
/
default
/commitment-plans/default
curl --request GET \
  --url https://api.archera.ai/v1/org/{org_id}/commitment-plans/default \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "11111111-1111-1111-1111-111111111111",
    "name": "Recommended",
    "description": "string",
    "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
    "created_at": "2025-06-01T08:00:00Z",
    "is_calculating": false,
    "status": "active",
    "max_term": "string",
    "covered_ondemand_cost_hourly": 3.21,
    "before_ondemand_cost_hourly": 4.56,
    "before_reserved_cost_hourly": 0,
    "amortized_cost_hourly": 2.98,
    "recurring_cost_hourly": 0.23,
    "upfront_cost_hourly": 0,
    "before_cost_hourly": 4.56,
    "after_cost_hourly": 3.21,
    "total_cost_hourly": 3.44,
    "savings_hourly": 1.12,
    "fee_hourly": 0.1,
    "commitment_coverage": 0.7,
    "minimum_commitment_cost": 1200,
    "breakeven_hours": 300,
    "total_savings": 980,
    "monthly_savings": 82,
    "total_monthly_before_cost": 330
  },
  {
    "id": "22222222-2222-2222-2222-222222222222",
    "name": "Balanced",
    "description": "string",
    "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
    "created_at": "2025-06-01T08:00:00Z",
    "is_calculating": false,
    "status": "active",
    "max_term": "string",
    "covered_ondemand_cost_hourly": 4.85,
    "before_ondemand_cost_hourly": 6.5,
    "before_reserved_cost_hourly": 0,
    "amortized_cost_hourly": 3.75,
    "recurring_cost_hourly": 0.54,
    "upfront_cost_hourly": 0,
    "before_cost_hourly": 6.5,
    "after_cost_hourly": 4.29,
    "total_cost_hourly": 4.83,
    "savings_hourly": 1.67,
    "fee_hourly": 0.15,
    "commitment_coverage": 0.85,
    "minimum_commitment_cost": 2000,
    "breakeven_hours": 450,
    "total_savings": 1460,
    "monthly_savings": 122,
    "total_monthly_before_cost": 440
  },
  {
    "id": "33333333-3333-3333-3333-333333333333",
    "name": "High Savings",
    "description": "string",
    "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
    "created_at": "2025-06-01T08:00:00Z",
    "is_calculating": false,
    "status": "active",
    "max_term": "string",
    "covered_ondemand_cost_hourly": 7.25,
    "before_ondemand_cost_hourly": 8.9,
    "before_reserved_cost_hourly": 0,
    "amortized_cost_hourly": 5.1,
    "recurring_cost_hourly": 0.85,
    "upfront_cost_hourly": 0,
    "before_cost_hourly": 8.9,
    "after_cost_hourly": 5.95,
    "total_cost_hourly": 6.8,
    "savings_hourly": 2.1,
    "fee_hourly": 0.25,
    "commitment_coverage": 0.95,
    "minimum_commitment_cost": 3500,
    "breakeven_hours": 620,
    "total_savings": 2540,
    "monthly_savings": 220,
    "total_monthly_before_cost": 650
  }
]

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key from User Settings > API Access in the Archera platform.

Path Parameters

org_id
string<uuid>
required

Query Parameters

provider
enum<string>
required

Cloud provider to get default plans for

Available options:
aws,
azure,
gcp
Example:

"aws"

Response

OK

id
string<uuid>
required
name
string
required
org_id
string<uuid>
required
created_at
string<date-time>
required
is_calculating
boolean
required
status
enum<string>
required
Available options:
new,
reviewed,
scheduled,
completed,
draft,
needs_review,
in_progress
max_term
string | null
required
covered_ondemand_cost_hourly
number
required
before_ondemand_cost_hourly
number
required
before_reserved_cost_hourly
number
required
amortized_cost_hourly
number
required
recurring_cost_hourly
number
required
upfront_cost_hourly
number
required
before_cost_hourly
number
required
after_cost_hourly
number
required
total_cost_hourly
number
required
savings_hourly
number
required
fee_hourly
number
required
commitment_coverage
number
required
minimum_commitment_cost
number
required
breakeven_hours
number
required
total_savings
number
required
monthly_savings
number
required
total_monthly_before_cost
number
required
description
string | null